%define 	pname qlogtools
%define 	pversion 3.1
%define 	bversion 6
%define 	rpmrelease iworx

%define 	debug_package %{nil}

# INSTRUCTIONS!!! <--------------------- READ THEM!!!
#
# You can rebuild  this  package safely using Command 
# Line Overrides. For example, if you want to rebuild
# this package for RedHat just type:
# $ rpm --rebuild --with redhat package.src.rpm
# $ rpm -ba --with redhat package.spec
#
# mdk = GNU/Linux Mandrake
# rht = Linux Red-Hat
# sus = Suse Linux
# fdr = Fedora Linux
# cos = CentOS
# whb = White Box Linux
# rhe = Red Hat Enterprise
# unk = Unknown
#

%define		build_rhe_6x   0
%define		build_rhe_7x   0
%define		build_rhe_8x   0

%define		build_unk      1

# Command Line Overrides
%{?_with_rhe6x: 	%{expand: %%define build_rhe_6x   1}}
%{?_with_rhe7x: 	%{expand: %%define build_rhe_7x   1}}
%{?_with_rhe8x: 	%{expand: %%define build_rhe_8x   1}}

%{?_with_unk: 		%{expand: %%define build_unk      1}}

%if %{build_rhe_6x}
%define		oscode rhe6x
%define 	ostype RedHat Enterprise 6.x
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_rhe_7x}
%define		oscode rhe7x
%define 	ostype RedHat Enterprise 7.x
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_rhe_8x}
%define		oscode rhe8x
%define 	ostype Almalinux 8.x
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%define release %{bversion}.%{oscode}.%{rpmrelease}

##
# THIS MUST BE LAST
##

%if %{build_unk}
%define		oscode unk
%define 	ostype Unknown Distribution
%define 	release %{bversion}.%{rpmrelease}
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%endif

############### RPM ################################

Summary: Log processing tools
Name:		%{pname}
Version:	%{pversion}
Release:	%{release}
License:    GPL
Group:      Utilities/System
Source0:    qlogtools-3.1.tar.gz
Source1:    qlogselect
BuildRoot:  %{_tmppath}/%{name}-%{pversion}-root
Packager:   Joseph Purkis <jpurkis@interworx.com>
Requires:   daemontools
Patch0:     qlogtools-3.1-errno.patch

%description
This package is a set of tools that are useful in analyzing or producing
logs from qmail and other packages.

%prep

%setup

%patch0 -p1

%build
echo %{_bindir} >conf-bin
echo %{_mandir} >conf-man
echo gcc $CFLAGS >conf-cc
echo gcc -s >conf-ld
make

%install
rm -fr %{buildroot}
mkdir -p %{buildroot}{%{_bindir},%{_mandir}}
echo %{buildroot}%{_bindir} >conf-bin
echo %{buildroot}%{_mandir} >conf-man
rm conf_bin.c conf_man.c insthier.o installer instcheck
make installer instcheck
./installer
./instcheck
install %SOURCE1 %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue Sep 14 2021 Joseph Purkis <jpurkis@interworx.com>
- Updated for RHEL 8.x and updated spec to updated format
* Tue Aug 26 2014 Matt Parmelee <mparmelee@interworx.com>
- Updated for RHEL 7.x
* Tue Sep 20 2011 Paul Oehler <poehler@interworx.com>
- Initial packaging
